# Uses of Interface
org.eclipse.gef.common.adapt.IAdaptable

Packages that use IAdaptable
Package
Description
org.eclipse.gef.common.adapt
This package provides abstractions and implementations related to an enhanced adaptable-pattern.
org.eclipse.gef.common.adapt.inject
This package provides support for Google Guice-based injection of adapters.

## Uses of IAdaptable in org.eclipse.gef.common.adapt

Classes in org.eclipse.gef.common.adapt with type parameters of type IAdaptable
Modifier and Type
Class
Description
`class`
`AdaptableSupport<A extends IAdaptable>`
A support class to manage adapters for a source `IAdaptable`.
`static interface`
`IAdaptable.Bound<A extends IAdaptable>`
To be implemented by an adapter to indicate that it intends to be bounded to the respective `IAdaptable` it is registered at.
`static class`
`IAdaptable.Bound.Impl<T extends IAdaptable>`
Default implementation of `IAdaptable.Bound` that manages a `ReadOnlyObjectProperty` for the `IAdaptable`.
Classes in org.eclipse.gef.common.adapt that implement IAdaptable
Modifier and Type
Class
Description
`class`
`AdapterStore`
An `AdapterStore` is a basic `IAdaptable` implementation that can be used standalone.

## Uses of IAdaptable in org.eclipse.gef.common.adapt.inject

Methods in org.eclipse.gef.common.adapt.inject with type parameters of type IAdaptable
Modifier and Type
Method
Description
`static <A extends IAdaptable>
org.eclipse.gef.common.adapt.inject.AdaptableScope<A>`
AdaptableScopes.`typed(Class<? extends A> type)`
Retrieves an `AdaptableScope` for the given `IAdaptable` -compliant type.
Methods in org.eclipse.gef.common.adapt.inject with parameters of type IAdaptable
Modifier and Type
Method
Description
`protected void`
AdapterInjector.`injectAdapters(IAdaptable adaptable)`
Performs the adapter map injection for the given adaptable instance.
`void`
AdapterInjector.`injectMembers(IAdaptable instance)`
Method parameters in org.eclipse.gef.common.adapt.inject with type arguments of type IAdaptable
Modifier and Type
Method
Description
`static MapBinder<AdapterKey<?>,Object>`
AdapterMaps.`getAdapterMapBinder(Binder binder, Class<? extends IAdaptable> adaptableType)`
Returns a `MapBinder`, which can be used to define adapter bindings for an `IAdaptable`s of the given type.
`static MapBinder<AdapterKey<?>,Object>`
AdapterMaps.`getAdapterMapBinder(Binder binder, Class<? extends IAdaptable> adaptableType, AdapterKey<?>... adaptableContext)`
Returns a `MapBinder`, which can be used to define adapter bindings for an `IAdaptable`s of the given type, restricting it further to those `IAdaptable`s that are themselves `adapted` to another `IAdaptable` with the specified role.